Subject: Re: bug#28502: 25.3; list-packages ends with "error in process filter: End of file during parsing"

From: Michael Heerdegen <[email-masked]>
Date: Mon, 21 Oct 2019 12:14:32 +0200

Stefan Kangas <[email-masked]> writes:

> The file you saw contained a package entry that was nil.  My guess is
> that this was due to an intermittent error on MELPA, since it was
> well-formed in all other respects.
>
> I don't think it's necessary to signal an error in this case.  We should
> just ignore nil entries.  On the other hand, it might indicate that
> something is wrong with the package archive, so it's nice to warn about
> it.
>
> I've installed the attached patch on master which does that.

If your assumption is correct, this seems like a reasonable fix.  Thank
you!

Michael.